- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.legacySoarUsers.userNotifications/count#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.legacySoarUsers.userNotifications/count#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.legacySoarUsers.userNotifications/count#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.legacySoarUsers.userNotifications/count#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.legacySoarUsers.userNotifications/count#body.CountUserNotificationsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.legacySoarUsers.userNotifications/count#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.legacySoarUsers.userNotifications/count#body.aspect_1)

**Full name**: projects.locations.instances.legacySoarUsers.userNotifications.count

Counts and returns the total number of unread notifications for a specific user.

### HTTP request

`GET https://{endpoint}/v1beta/{parent}/userNotifications:count`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The user to count Notifications for. Format: projects/{project}/locations/{location}/instances/{instance}/legacySoarUsers/{legacySoarUser} |

### Request body

The request body must be empty.

### Response body

Response message for userNotifications.count.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "count": integer } ``` |

| Fields ||
|---|---|
| `count` | `integer` Required. The number of Notifications. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.userNotifications.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).